<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "v_universities_and_faculties".
 *
 * @property string $trainees_count
 * @property string $university_name
 * @property string $faculty
 * @property string $percentage
 */
class VUniversitiesAndFaculties extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'v_universities_and_faculties';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['trainees_count'], 'integer'],
            [['university_name', 'faculty'], 'required'],
            [['university_name', 'faculty'], 'string', 'max' => 500],
            [['percentage'], 'string', 'max' => 71],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'trainees_count' => Yii::t('app', 'Trainees Count'),
            'university_name' => Yii::t('app', 'University Name'),
            'faculty' => Yii::t('app', 'Faculty'),
            'percentage' => Yii::t('app', 'Percentage'),
        ];
    }
}
